Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Types | Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
HistogramItem Class Reference

Histogram plotting widget. More...

`#include <Plugin-TextureControl/HistogramItem.hh>`

Inheritance diagram for HistogramItem:

## Public Types
enum | HistogramAttribute { Auto = 0, Xfy = 1 }

## Public Member Functions
| HistogramItem (const QString &title=QString::null)
| Constructor.
| HistogramItem (const QwtText &title)
| Constructor.
virtual | ~HistogramItem ()
| Destructor.
void | setData (const QwtIntervalData &data)
| set data to render More...
const QwtIntervalData & | data () const
void | setColors (std::vector< QColor > &_colors)
| Set colors. More...
virtual QwtDoubleRect | boundingRect () const
| Function hat will return the datas bounding rectangle (for rendering)
virtual int | rtti () const
virtual void | draw (QPainter *, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRect &) const
| The actual draw function, drawing the bars inside the plot widget.
void | setBaseline (double reference)
double | baseline () const
void | setHistogramAttribute (HistogramAttribute, bool on=true)
bool | testHistogramAttribute (HistogramAttribute) const

## Protected Member Functions
virtual void | drawBar (QPainter *, Qt::Orientation o, const QRect &) const
| Draws a single bar.

## Private Member Functions
QColor | color (uint i) const
void | init ()

## Private Attributes
PrivateData * | d_data

## Detailed Description

Histogram plotting widget.

This widget can be used to render a plot. It provides a Qt widget with histogram bars. The data is supplied as QwtIntervalData via HistogramItem::setData(). Additionally you can set colors for each bar, which are provided via HistogramItem::setColors()

!!!!!!!!!!! This class is deprecated !!!!!!!!!!! !!!!!!!!! Use the one from ACG/QtWidgets which is for qwt6 !!!!!!!!!!!!!!!!!!

Definition at line 72 of file HistogramItem.hh.

## Member Function Documentation

void HistogramItem::setColors | ( | std::vector< QColor > & | _colors | ) |

Set colors.

Parameters

  _colors | A vector of colors. One for each interval in the same order.

void HistogramItem::setData | ( | const QwtIntervalData & | data | ) |

set data to render

Parameters

  data | data provided as QwtIntervalData

The documentation for this class was generated from the following file:

- Plugin-TextureControl/HistogramItem.hh